#
# spec file for package rpmlint-tests
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#
# icecream 0


#!BuildIgnore: post-build-checks brp-check-suse

BuildRequires:  erlang
BuildRequires:  rpmlint-Factory-strict
BuildRequires:  rpmlint-mini

Name:           rpmlint-tests
Version:        84.87+git20181018.60e0249
Release:        lp151.9.6.1
Summary:        rpmlint regression tests
License:        SUSE-Public-Domain
Group:          Development/Tools/Building
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.opensuse.org/
Source:         rpmlint-tests-%version.tar.xz
Patch0:         rpmlint-tests-sle15-Revert-polkit-adjust-reference-output-to-match-corre.patch
Patch1:         rpmlint-tests-sle15-Revert-Adjust-order-of-output-as-well.patch
Patch2:         rpmlint-tests-sle15-Revert-adjust-reference-testoutput-for-removal-of-ba.patch

%description
This package doesn't actually contain any files and is not meant to
be installed. It's only useful in the opensuse build service to run
regression tests against rpmlint(-mini).

%prep
%autosetup -p1

%build
mkdir rpms
make test

%install

%changelog
* Mon Apr 15 2019 lnussel@suse.de
- fix rpmlint-tests build by reverting changes to reference output that do not
  apply on SLE15 (boo#1132530)
  (rpmlint-tests-sle15-Revert-Adjust-order-of-output-as-well.patch,
  rpmlint-tests-sle15-Revert-adjust-reference-testoutput-for-removal-of-ba.patch,
  renamed rpmlint-tests-sle15.patch ->
  rpmlint-tests-sle15-Revert-polkit-adjust-reference-output-to-match-corre.patch)
* Wed Jan  9 2019 opensuse-packaging@opensuse.org
- Update to version 84.87+git20181018.60e0249:
  * Add test for %%tmpfiles_create foo.conf with no full path
* Tue Jul  3 2018 opensuse-packaging@opensuse.org
- Update to version 84.87+git20180703.88daa4e:
  * Adjust order of output as well
* Tue Jul  3 2018 opensuse-packaging@opensuse.org
- Update to version 84.87+git20180703.03176da:
  * adjust reference testoutput for removal of badness
* Wed May  9 2018 lnussel@suse.de
- add rpmlint-tests-sle15.patch to fix rpmlint-tests build for
  sle/leap 15
* Tue Feb 20 2018 opensuse-packaging@opensuse.org
- Update to version 84.87+git20180220.6f1f0aa:
  * polkit: adjust reference output to match corresponding change in rpmlint-checks
* Sun Feb 18 2018 opensuse-packaging@opensuse.org
- Update to version 84.87+git20180218.1142fcc:
  * Update polkit ref tests
* Thu Feb  8 2018 opensuse-packaging@opensuse.org
- Update to version 84.87+git20180202.3df4ae7:
  * Add testcases for MenuXDGCheck.py
* Wed Oct 11 2017 opensuse-packaging@opensuse.org
- Update to version 84.87+git20171011.8b163ac:
  * Trying to fixup the erlang check
* Wed Oct 11 2017 opensuse-packaging@opensuse.org
- Update to version 84.87+git20171011.856375f:
  * Add unit test for ErlangCheck
* Tue Oct 10 2017 opensuse-packaging@opensuse.org
- Update to version 84.87+git20171010.a53d9bd:
  * Remove appdata related tests, those are upstream now
* Tue Oct 10 2017 opensuse-packaging@opensuse.org
- Update to version 84.87+git20171009.dfac67b:
  * Adjust output for enabled non-std group checks
* Sat Sep 30 2017 opensuse-packaging@opensuse.org
- Update to version 84.87+git20170930.921e051:
  * Update reference files against rpmlint 1.10
* Thu Sep 28 2017 opensuse-packaging@opensuse.org
- Update to version 84.87+git20170928.27b6cb3:
  * Adjustments for newer rpmlint
  drop 0001-Update-varrun-test-for-Leap-42.2-severity-reduction.patch
  rpmlint-pie-factory.patch, rpmlint-pie-leap42.patch:
  this belongs into git
* Thu Sep 28 2017 opensuse-packaging@opensuse.org
- Update to version 84.87+git20170928.d2c55ee:
  * Remove some outdated sysv init check, we have switched to systemd
* Sun Jul  2 2017 meissner@suse.com
- rpmlint-pie-leap42.patch, rpmlint-pie-factory.patch:
  adjust testsuite to match new PIE warning, for both
  Leap 42.3 and Factory.
* Tue Apr 18 2017 opensuse-packaging@opensuse.org
- Update to version master:
  * remote unused/outdated checks
* Tue Apr 18 2017 opensuse-packaging@opensuse.org
- Update to version 84.87+git20170418.092177d:
  * Remove initscript related tests, systemd FTW!
* Mon Mar 20 2017 lnussel@suse.de
- Update to version 84.87+git20170320.f92cea5:
  * Adjust for new init script check
* Thu Mar  9 2017 lnussel@suse.de
- Update to version 84.87+git20161214.5500838
  * add checks for shlib-policy-name-error and "no dependency on *lib*"
- remove
  0002-Update-license1-test-for-Leap-42.2-severity-reductio.patch as
  rpmlint-Factory-strict is pulled in always.
* Tue Oct 25 2016 jberry@suse.com
- Patch lint severity reductions for >= Leap 42.2:
  0001-Update-varrun-test-for-Leap-42.2-severity-reduction.patch
  0002-Update-license1-test-for-Leap-42.2-severity-reductio.patch
* Mon Jul 25 2016 lnussel@suse.de
- Update to version 13.2+git20160725.8d99488:
  * add check for calls to gethostbyname and similar
  * add check for correct invocation of chroot
- remove rpmlint-check-gethostbyname.patch
* Fri Jul  8 2016 stefan.bruens@rwth-aachen.de
- BuildRequire rpmlint-Factory-strict to have same config on all
  releases, fixes failed tests on Tumbleweed
* Tue Mar  8 2016 stefan.bruens@rwth-aachen.de
- add regression test for boo#970170
* Mon Nov 30 2015 lnussel@suse.de
- Update to version 13.2+git20151130.b31588d:
  + add shared library tests
* Fri Nov 13 2015 lnussel@suse.de
- Update to version 13.2+git20151113.ff9879a:
  + adjust for tmpfiles fix
* Tue Nov 10 2015 lnussel@suse.de
- Update to version 13.2+git20151110.e8d6260:
  + fixed two new warnings
* Wed May 20 2015 lnussel@suse.de
- Update to version 13.2+git20150520.a374c88:
  + add tmpfiles.d checks
* Tue May 19 2015 lnussel@suse.de
- Update to version 13.2+git20150519.278efdf:
  + add ghost file checks
  + print names of failed tests
* Tue Apr 21 2015 lnussel@suse.de
- Update to version 13.2+git20150410.6161e60:
  + build our own non-PIE binaries, as the distribution slowly gets converted to all PIE binaries
  (removed rpmlint-pie-fixes.patch)
* Thu Apr  9 2015 meissner@suse.com
- rpmlint-pie-fixes.patch: build own non-pie binaries to avoid
  relying on random system binaries.
* Tue Mar 10 2015 lnussel@suse.de
- Update to version 13.2+git20150310.00c9b55:
  + fix reference output when new bash is used
* Thu Aug 21 2014 lnussel@suse.de
- fix rclink* tests by adding expected systemd macros
* Thu Aug 21 2014 lnussel@suse.de
- add test cases for systemd macros
* Tue May  6 2014 lnussel@suse.de
- adjust for new var/run check
- use service file
* Fri Mar  7 2014 lnussel@suse.de
- add appdata check
* Wed Feb  5 2014 lnussel@suse.de
- fix reference output for non-ghost* tests
* Thu Jan 30 2014 lnussel@suse.de
- add tests for rc links (bnc#860340)
* Wed Sep 25 2013 lnussel@suse.de
- update reference data to match Factory
- generate tarball via service file
* Mon Dec 10 2012 dmueller@suse.com
- update reference data to make checks pass again (bnc#793546))
* Mon Jun 18 2012 lnussel@suse.de
- omit debug packages from checks
* Wed May 23 2012 lnussel@suse.de
- add pam test case
* Thu Mar  8 2012 lnussel@suse.de
- adjust to new badness score for non-position-independent-executable
* Mon Feb 20 2012 lnussel@suse.de
- add logrotate test
* Tue Jan 31 2012 lnussel@suse.de
- add test for buildroot check
* Tue Dec 20 2011 lnussel@suse.de
- suse-filelist-empty is not fatal anymore
* Tue Nov 29 2011 lnussel@suse.de
- add -devel group check
* Tue Nov 29 2011 lnussel@suse.de
- adjust to new license check and add test case
* Thu Aug  4 2011 lnussel@suse.de
- non-ghost-in-var-run is fatal now
* Fri Jul 29 2011 lnussel@suse.de
- fix testsuite
* Mon Jul 11 2011 lnussel@suse.de
- check for false positives in pie test
* Tue Jun  7 2011 lnussel@suse.de
- add polkit test
* Mon Jun  6 2011 lnussel@suse.de
- add an actually readable package description
* Tue May 31 2011 lnussel@suse.de
- add check for /var/log/subsys
* Tue May 17 2011 lnussel@suse.de
- update ref files
* Mon May  2 2011 lnussel@suse.de
- another init script test case
* Thu Apr 21 2011 lnussel@suse.de
- add new initscript warnings
* Tue Apr 19 2011 lnussel@suse.de
- initial package
